org.apache.hadoop.hdfs.inotify

## Class EventBatch

- java.lang.Object
- - org.apache.hadoop.hdfs.inotify.EventBatch

-     @InterfaceAudience.Public
      public class EventBatch
      extends Object

  A batch of events that all happened on the same transaction ID.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `EventBatch(long txid, Event[] events)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Event[]` | `getEvents()`
    `long` | `getTxid()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EventBatch

          public EventBatch(long txid,
                            Event[] events)

  - ### Method Detail

    - #### getTxid

          public long getTxid()

    - #### getEvents

          public Event[] getEvents()

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.